<?php

namespace KnitPay\Gateways\PayUmoney;

use Pronamic\WordPress\Pay\Payments\PaymentStatus as Core_Statuses;

/**
 * Title: PayUmoney Statuses
 * Copyright: 2020 Knit Pay
 *
 * @author  Knit Pay
 * @version 1.9.1
 * @since   1.0.0
 */
class Statuses {
	/**
	 * SUCCESSFUL
	 *
	 * @var string
	 */
	const SUCCESSFUL = 'success';

	/**
	 * FAILURE.
	 *
	 * @var string
	 */
	const FAILURE = 'failure';

	/**
	 * FAILED.
	 *
	 * @var string
	 */
	const FAILED = 'failed';

	/**
	 * CANCEL.
	 *
	 * @var string
	 */
	const CANCEL = 'CANCEL';

	/**
	 * CANCEL.
	 *
	 * @var string
	 */
	const USER_CANCELED = 'User Cancelled';

	/**
	 * Transform an PayUmoney status to an Knit Pay status
	 *
	 * @param string $status
	 *
	 * @return null|string
	 */
	public static function transform( $status ) {
		switch ( $status ) {
			case self::SUCCESSFUL:
				return Core_Statuses::SUCCESS;

			case self::FAILED:
			case self::FAILURE:
				return Core_Statuses::FAILURE;

			case self::USER_CANCELED:
			case self::CANCEL:
				return Core_Statuses::CANCELLED;

			default:
				return null;
		}
	}
}
